package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.DemInspectList;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.service.vo.*;

/**
 * <p>
 * 督察单 服务类
 * </p>
 *
 * @author ZYJ
 * @since 2022-12-28
 */
public interface DemInspectListService extends CrudService<DemInspectList> {
    /**
     * 事件管理-电子督察单-列表查询
     */
    CommonPage<InspectDetailVO> demInspectList(String inspectCode, String companyName, String deviceCode, Integer handlingStatus, Integer pageNum, Integer pageSize);

    /**
     * 定时任务-生成待处置和超时未处置的电子督察单
     */
    void demInspectAutoTask();

}
